#include <stdio.h>
#include <dlfcn.h>

void print(void);

void system(void)
{
  void *handle = dlopen("./host.so", RTLD_GLOBAL | RTLD_NOW);
  char *err = dlerror();
  if (err) {
    fprintf(stderr, "cannot open ./host.so (%s)\n", err);
    return;
  }
  void (*host)(void) = dlsym(handle, "host");
  host();
  print();
}

void print(void)
{
  printf("hello from system \n");
}
